List document contract templates for a account

http
GET https://services.leadconnectorhq.com/proposals/templates

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesjhg64gjhb436fvAccount Id
dateFromstringNo2025-02-03T18:30:00.000ZDate start from (ISO 8601)
dateTostringNo2025-02-14T18:29:59.999ZDate to (ISO 8601)
typestringNoproposal,estimateComma-separated template types. Valid values: proposal, estimate, contentLibrary
namestringNoTemplate NameTemplate Name
isPublicDocumentbooleanNoFalseIf the docForm is a DocForm
userIdstringNo1234567890User Id, required when isPublicDocument is true
limitstringNo10Limit
skipstringNo0Skip

Responses

200 - Templates fetched successfully
  • data (object[], required): Array of templates

    • _id (string, required): Template ID Example: 685d11c371c22e636e9c04b2

    • deleted (boolean, required): Whether the template is deleted Example: False

    • version (number, required): Template version Example: 2

    • name (string, required): Template name Example: New Template

    • locationId (string, required): Account ID Example: 5rORm9p7RtxWQPzBIbTG

    • type (string, required): Template type Possible values: 'proposal', 'estimate', 'contentLibrary' Example: proposal

    • updatedBy (string, required): User ID who last updated the template Example: K9PSPnWjfNoE8DCf5LJZ

    • isPublicDocument (boolean, required): Whether the template is a public document Example: True

    • createdAt (string, required): Template creation date Example: 2025-06-26T09:24:19.305Z

    • updatedAt (string, required): Template last update date Example: 2025-06-26T09:27:32.119Z

    • id (string, required): Template ID (alias for _id) Example: 685d11c371c22e636e9c04b2

    • documentCount (number): Document count (only present when isPublicDocument is true) Example: 0

    • docFormUrl (string): Document form URL (only present when isPublicDocument is true) Example: https://staging.sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US

  • total (number, required): Total number of templates Example: 2

  • traceId (string): Trace ID for request tracking Example: d5656876-86a5-46fb-84df-788f1da7937a

json
{
  "data": [
    {
      "_id": "685d11c371c22e636e9c04b2",
      "deleted": false,
      "version": 2,
      "name": "New Template",
      "locationId": "5rORm9p7RtxWQPzBIbTG",
      "type": "proposal",
      "updatedBy": "K9PSPnWjfNoE8DCf5LJZ",
      "isPublicDocument": true,
      "createdAt": "2025-06-26T09:24:19.305Z",
      "updatedAt": "2025-06-26T09:27:32.119Z",
      "id": "685d11c371c22e636e9c04b2",
      "documentCount": 0,
      "docFormUrl": "https://staging.sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US"
    }
  ],
  "total": 2,
  "traceId": "d5656876-86a5-46fb-84df-788f1da7937a"
}
400 - Unprocessable Entity
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}

Example

curl -X GET 'https://services.leadconnectorhq.com/proposals/templates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?